forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ross Gardler <rgard...@apache.org>
Subject Re: Plugin downloading problems
Date Wed, 24 Nov 2004 11:06:28 GMT
Sjur Nørstebø Moshagen wrote:
> When trying to run forrest (forrest run), I get a plugin downloading  
> error with a fresh seed (updated svn version as of today, revision  
> 106393):

Now fixed - thanks for highlighting this

> SUGGESTIONS:
> - make sure that the defaults are working before requiring them;)

Err.... hmmmm...  yes (hanging head in shame)

> - not having a project.required.plugins should be equal to an empty  
> list (why is simplified-docbook suddenly required when the plugins  
> property is commented out?)

This is to maintain backward compatability with 0.6 simplified-docbook 
(and some other plugins) are extracted from the core of 0.6. There are 
many sites that use these features and so, at least for now, we have 
made it default that in the absence of instructions otherwise they are 
included.

However, if you do a forrest seed from 0.7-dev you will not have these 
defaults.

Ross


Mime
View raw message